org.apache.ivy.plugins.parser

## Interface ParserSettings

All Known Subinterfaces:
  CheckEngineSettings, DeliverEngineSettings, InstallEngineSettings, PublishEngineSettings, RepositoryManagementEngineSettings, ResolveEngineSettings, ResolverSettings, RetrieveEngineSettings

All Known Implementing Classes:
  IvySettings

    public interface ParserSettings

### Method Summary

Methods
`ConflictManager` `getConflictManager(java.lang.String name)`
`Namespace` `getContextNamespace()` Returns the namespace context in which the current descriptor is parsed.
`java.lang.String` `getDefaultBranch(ModuleId moduleId)`
`PatternMatcher` `getMatcher(java.lang.String matcherName)`
`Namespace` `getNamespace(java.lang.String namespace)`
`RelativeUrlResolver` `getRelativeUrlResolver()`
`ResolutionCacheManager` `getResolutionCacheManager()`
`DependencyResolver` `getResolver(ModuleRevisionId mRevId)`
`StatusManager` `getStatusManager()`
`java.io.File` `resolveFile(java.lang.String filename)`
`java.util.Map` `substitute(java.util.Map strings)`
`java.lang.String` `substitute(java.lang.String value)`

### Method Detail

#### substitute

    java.lang.String substitute(java.lang.String value)

#### substitute

    java.util.Map substitute(java.util.Map strings)

#### getResolutionCacheManager

    ResolutionCacheManager getResolutionCacheManager()

#### getConflictManager

    ConflictManager getConflictManager(java.lang.String name)

#### getMatcher

    PatternMatcher getMatcher(java.lang.String matcherName)

#### getNamespace

    Namespace getNamespace(java.lang.String namespace)

#### getStatusManager

    StatusManager getStatusManager()

#### getRelativeUrlResolver

    RelativeUrlResolver getRelativeUrlResolver()

#### getResolver

    DependencyResolver getResolver(ModuleRevisionId mRevId)

#### resolveFile

    java.io.File resolveFile(java.lang.String filename)

#### getDefaultBranch

    java.lang.String getDefaultBranch(ModuleId moduleId)

#### getContextNamespace

    Namespace getContextNamespace()

Returns the namespace context in which the current descriptor is parsed.